import requests
import time
import datetime
import pymysql
import random
import pandas as pd
import traceback
from log_settings import *
import logging
from auto_request import login, reply, click, get_comments, time_conv
from auto_request import host, user, port, db, passwd


# auto_click_url = "http://earth.iyanzhi.com/api/v1/like"
# auto_reply_url = "http://earth.iyanzhi.com/api/v1/reply/create"
# auto_follow_url = "http://earth.iyanzhi.com/api/v1/follow"


# def get_majia():
#     try:
#         data = open("/srv/apps/cybertron/batch_user_gen")
#         list = []
#         for i in data:
#             list.append(i.strip('\n').strip(','))
#         maj = random.randint(1, len(list))
#         user_id = list[maj - 1]
#         return user_id
#
#     except:
#         logging.error("catch exception,get_majia:%s" % traceback.format_exc())
#         return None
#
#
# def get_cookies(user_id):
#     try:
#         with open("/srv/apps/cybertron/user_session.txt", 'r') as f:
#             try:
#                 data = f.readlines()
#             except:
#                 data = None
#
#         list = []
#         for i in data:
#             list.append(i.strip('\n').split(","))
#
#         for i in list:
#
#             if user_id == i[0]:
#                 return (i[1])
#     except:
#
#         return None
#
#
# def login():
#     try:
#         user_id = get_majia()
#
#         cookies = get_cookies(user_id)
#
#         if cookies is not None:
#             return {'sessionid': cookies}
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#         return None
#
#
# def click(cookies_get, id):
#     try:
#         post_dict = {
#             'type': 0,
#             'id': id
#         }
#         response = requests.post(url=auto_click_url,
#                                  cookies=cookies_get,
#                                  data=post_dict)
#
#         logging.info("response.text:%s" % response.text)
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#
# def reply(cookies_get, id, content):
#     try:
#         post_dict = {
#             'topic_id': id,
#             'content': content
#         }
#         response = requests.post(url=auto_reply_url,
#                                  cookies=cookies_get,
#                                  data=post_dict)
#
#         logging.info("response.text:%s" % response.text)
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#
# def time_conv():
#     try:
#         now = datetime.datetime.now()
#         yes_time = now - datetime.timedelta(minutes=15)
#         print(yes_time)
#         return yes_time
#
#     except:
#         return None
#
#
# def get_comment():
#     try:
#         data = open("/srv/apps/cybertron/guanshui", "r")
#         list_guanshui = []
#         for i in data:
#             list_guanshui.append(i)
#         num = random.randint(0, len(list_guanshui))
#         comment = list_guanshui[num - 1]
#
#         return comment
#
#     except:
#
#         return None
# 9,12,18,2


def get_topic_id(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT id,user_id FROM topic WHERE is_online =1 and create_time >= %s and user_id in (select user_id from user_extra  where is_shadow = 0)",
            (numtime))
        data = cursor.fetchall()
        user_id = list(data)
        logging.info("Database version : %s " % user_id)
        pc.close()
        return user_id
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":
    try:

        numtime = time_conv(15)

        topic_id = get_topic_id(numtime)

        click_num = random.randint(1, 3)

        for i in range(click_num):

            for j in topic_id:

                id = int(j[0])

                cookies = login()

                time.sleep(random.randint(10, 20))

                click(cookies, id)

            time.sleep(300)

        topic_id = get_topic_id(numtime)

        comment_num = random.randint(0, 3)

        comment_content = get_comments()

        for i in range(comment_num):

            for j in topic_id:

                id = int(j[0])

                cookies = login()

                if cookies is not None:

                    comment = comment_content[i]

                    time.sleep(random.randint(10,20))

                    reply(cookies, id, comment)

            time.sleep(300)
    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
