import requests
import time
import datetime
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, click, time_convs
from auto_request import host,user,port,db,passwd


# def get_majia():
#     try:
#         data = open("/srv/apps/cybertron/batch_user_gen")
#
#         list = []
#
#         for i in data:
#             list.append(i.strip('\n').strip(','))
#
#         maj = random.randint(1, len(list))
#
#         user_id = list[maj - 1]
#
#         return user_id
#
#     except:
#         logging.error("catch exception,get_majia:%s" % traceback.format_exc())
#         return None
#
#
# def get_cookies(user_id):
#     try:
#         with open("/srv/apps/cybertron/user_session.txt", 'r') as f:
#             try:
#                 data = f.readlines()
#             except:
#                 data = None
#
#         list = []
#         for i in data:
#             list.append(i.strip('\n').split(","))
#
#         for i in list:
#
#             if user_id == i[0]:
#                 return (i[1])
#     except:
#
#         return None
#
#
# def login():
#     try:
#         user_id = get_majia()
#
#         cookies = get_cookies(user_id)
#
#         if cookies is not None:
#             return {'sessionid': cookies}
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#         return None
#
#
# def click(cookies_get, id):
#     try:
#         post_dict = {
#             'type': 0,
#             'id': id
#         }
#         response = requests.post(url=auto_click_url,
#                                  cookies=cookies_get,
#                                  data=post_dict)
#
#         logging.info("response.text:%s" % response.text)
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#
# def time_conv(numtime):
#     try:
#         now = datetime.datetime.now()
#         yes_time = now - datetime.timedelta(days=numtime)
#         yes_time_str = yes_time.strftime('%Y-%m-%d')
#         return yes_time_str
#     except:
#         return None

def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT distinct(user_id),id FROM topic WHERE is_online=1  and create_time LIKE '%%%%%s%%%%' and user_id in (select user_id from user_extra  where is_shadow = 0)" % numtime)
        data = cursor.fetchall()
        user_id = list(data)
        logging.info("Database version : %s " % user_id)
        pc.close()
        return user_id
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime = time_convs(i)

            user_id = get_data(numtime)

            dicts = {}

            for i in user_id:

                if i[0] not in dicts.keys():
                    dicts.setdefault(i[0], [])
                    dicts[i[0]].append(i[1])

                else:
                    dicts[i[0]].append(i[1])

            print(dicts)

            for key, value in dicts.items():

                rand_num = random.randint(0, len(value) - 1)

                rand_id = value[rand_num]

                urge_num = random.randint(0, 1)

                for i in range(urge_num):

                    time.sleep(random.randint(1, 10))

                    cook = login()

                    if cook is not None:
                        click(cook, rand_id)

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
