import requests
import time
import datetime
import pymysql
import random
import pandas as pd
import traceback
from log_settings import *
import logging
from auto_request import logins, reply,  get_offline_comment, time_convs
from auto_request import host, user, port, db, passwd

auto_click_url = "http://earth.igengmei.com/api/v1/like"
auto_reply_url = "http://earth.igengmei.com/api/v1/reply/create"
auto_follow_url = "http://earth.igengmei.com/api/v1/follow"
auto_urge_url = "http://earth.igengmei.com/api/v1/user/urge"


# 对所有马甲生产的帖子（包含历史帖子）
#
# 离线一次性插入{0,4}条评论
#
# 评论取自评论库，并自动随机关联马甲
#
# 注意需要禁止本帖作者评论



def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=3306)
        cursor = pc.cursor()
        cursor.execute( "SELECT id FROM topic WHERE is_online =1 and create_time >= %s  and (content_level = 4 or content_level = 5) and user_id in (select user_id from user_extra  where is_shadow = 0)",(numtime))
        data = cursor.fetchall()
        user_id = list(data)
        logging.info("Database version : %s " % user_id)
        pc.close()
        return user_id
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime = time_convs(i)

            topic_id = get_data(numtime)

            dicts = {}

            rand_num = random.randint(0, 4)

            for id in topic_id:

                comment_list = get_offline_comment()

                for i in rand_num:

                    cook =logins()

                    comment = get_offline_comment()

                    comment = comment_list[rand_num]

                    reply(cook, id, comment)


    except:

        logging.error("catch exception,main :%s" % traceback.format_exc())
