import requests
import time
import datetime
import pymysql
import random
import traceback
import logging
from auto_request import login, time_convs, reply, get_comment
from auto_request import host, user, port, db, passwd


# auto_reply_url = "http://earth.iyanzhi.com/api/v1/reply/create"


# def get_majia():
#     try:
#         data = open("/srv/apps/cybertron/batch_user_gen.txt")
#
#         list = []
#
#         for i in data:
#             list.append(i.strip('\n').strip(','))
#
#         maj = random.randint(1, len(list))
#
#         user_id = list[maj - 1]
#
#         return user_id
#
#     except:
#         logging.error("catch exception,get_majia:%s" % traceback.format_exc())
#         return None
#
#
# def get_cookies(user_id):
#     try:
#         with open("/srv/apps/cybertron/user_session.txt", 'r') as f:
#             try:
#                 data = f.readlines()
#             except:
#                 data = None
#
#         list = []
#         for i in data:
#             list.append(i.strip('\n').split(","))
#
#         for i in list:
#
#             if user_id == i[0]:
#                 return (i[1])
#     except:
#
#         return None
#
#
# def logins():
#     try:
#         user_id = get_majia()
#
#         cookies = get_cookies(user_id)
#
#         if cookies is not None:
#             return {'sessionid': cookies}
#
#     except:
#
#         logging.error("catch exception,logins:%s" % traceback.format_exc())
#
#         return None
#
#
# def reply(cookies_get, id, content):
#     try:
#         post_dict = {
#             'topic_id': id,
#             'content': content
#         }
#         response = requests.post(url=auto_reply_url,
#                                  cookies=cookies_get,
#                                  data=post_dict)
#
#         logging.info("response.text :%s" % (response.text))
#
#     except:
#         logging.error("catch exception,reply:%s" % traceback.format_exc())
#
#
# def time_conv(numtime):
#     try:
#         now = datetime.datetime.now()
#         yes_time = now - datetime.timedelta(days=numtime)
#         yes_time_str = yes_time.strftime('%Y-%m-%d')
#         return yes_time_str
#     except:
#         return None


# def get_comment():
#     data = open("/srv/apps/cybertron/guanshui")
#
#     list_guanshui = []
#     for i in data:
#         list_guanshui.append(i)
#     num = random.randint(0, len(list_guanshui))
#     comment = list_guanshui[num - 1]
#     return comment


def get_topic_id(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT distinct(user_id),id   FROM topic WHERE is_online=1 and create_time LIKE '%%%%%s%%%%' and user_id in (select user_id from user_extra  where is_shadow = 0) " % numtime)
        data = cursor.fetchall()
        topic_id = list(data)
        logging.info("Database version : %s " % topic_id)
        pc.close()
        return topic_id
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime = time_convs(i)

            topic_id = get_topic_id(numtime)

            comment = get_comment()

            for id in topic_id:

                time.sleep(random.randint(1, 10))

                cook = login()

                if cook is not None:

                    reply(cook, id, comment)

    except:

        logging.error("catch exception,main :%s" % traceback.format_exc())
